#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
print("電卓(引き算)\n")
print("持っているお金を入力してください>>\n")
den1 = gets.chomp.to_i
print("1個目の買うものの値段を入力してください>>\n")
den2 = gets.chomp.to_i
for i in [den1]
denn2 = []
denn2 << den2
end
print("2個目の買うものの値段を入力してください>>\n")
den3 = gets.chomp.to_i
for i in [den2]
denn3 = []
denn3 << den3
end
print("3個目の買うものの値段を入力してください>>\n")
den4 = gets.chomp.to_i
for i in [den3]
  p i
end
denn4 = []
denn4 << den4
o = den1.to_f
  puts "#{o - (denn2[0] + denn3[0] + denn4[0])}円"
